> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stockinsights.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Results Calendar API

> API returning the paginated latest results calendar



## OpenAPI

````yaml openapi-india get /api/in/v0/results-calendar
openapi: 3.0.0
info:
  title: stockinsights.ai APIs
  description: All the APIs of stockinsights.ai
  version: 1.0.0
servers:
  - url: https://stockinsights-ai-main-95a26a0.zuplo.app
security:
  - bearerAuth: []
paths:
  /api/in/v0/results-calendar:
    get:
      summary: Results Calendar API
      description: API returning the paginated latest results calendar
      parameters:
        - name: ticker
          in: query
          description: >-
            Optional. Comma-separated ticker values: Example - SWIGGY, TCS. In
            case of ticker conflicts, use - exchange:ticker values. Example -
            NSE:ZOMATO, BSE:TCS, BSE:500002
          schema:
            type: string
          required: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CompanyCalendarResult'
                  meta:
                    $ref: '#/components/schemas/Meta'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CompanyCalendarResult:
      type: object
      properties:
        company_name:
          type: string
          example: Sanofi India Ltd
        ticker:
          type: string
          example: SANOFI
        security_code:
          type: string
          example: '500674'
        result_date:
          type: string
          format: date-time
          example: '2025-02-27T00:00:00.000Z'
    Meta:
      type: object
      properties:
        total_count:
          type: integer
          format: int64
          description: Total Announcemnt count for the given request parameters.
        page:
          type: integer
          format: int64
          description: Current Page number.
        limit:
          type: integer
          format: int64
          description: Number of Announcements in the current response.
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                description: Error status
              title:
                type: string
                description: Error description
              message:
                type: string
                description: Detailed error message (optional)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````